return {
    manufacturer = 'Universal',
    description = 'Unversal profile',
    default_name = 'Universal',
    version =1, 
    objects = {
        {
            id = 'rssi',
            name = 'RSSI',
            datatype = dt.int32,
            read_only = true
        }
    },

    init = function(device)
        local objects = device.objects

        if not objects.rssi then
            device.profile.read = nil
        end

        device._v = {} 
    end,

    read = function(device)

        local status, values = nil, {}

        device._v = device._v or {}

        local sock, res
        sock = ble.sock()
        ble.settimeout(sock, 15)
        res, err  = ble.connect(sock, device.mac, true) 

        if res then
            status = true 

            values.rssi = ble.getrssi(device.mac)

            if not values.rssi then 
                values.rssi = 0 
            end  

            if device._v.rssi ~= nil and device._v.rssi == values.rssi then 
                values.rssi = nil 
            else
                device._v.rssi = values.rssi
            end
        end 

        ble.close(sock)

        return status, values

    end
}
